devel/p5-local-lib - The NetBSD Packages Collection

Create and use a local lib/ for perl modules with PERL5LIB

This module provides a quick, convenient way of bootstrapping a user-local
Perl module library located within the user's home directory. It also
constructs and prints out for the user the list of environment variables
using the syntax appropriate for the user's current shell (as specified by
the "SHELL" environment variable), suitable for directly adding to one's
shell configuration file. More generally, local::lib allows for the
bootstrapping and usage of a directory containing Perl modules outside of
Perl's @INC. This makes it easier to ship an application with an
app-specific copy of a Perl module, or collection of modules. Useful in
cases like when an upstream maintainer hasn't applied a patch to a module
of theirs that you need for your application. On import, local::lib sets
the following environment variables to appropriate values: PERL_MB_OPT
PERL_MM_OPT PERL5LIB PATH PERL_LOCAL_LIB_ROOT When possible, these will be
appended to instead of overwritten entirely. These values are then
available for reference by any code after import.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-local-lib-2.000024nb3.tgz
NetBSD 8.0earmv7hfp5-local-lib-2.000024nb3.tgz
NetBSD 8.0earmv7hfp5-local-lib-2.000024nb3.tgz
NetBSD 8.0i386p5-local-lib-2.000024nb3.tgz
NetBSD 8.0i386p5-local-lib-2.000024nb3.tgz
NetBSD 8.0i386p5-local-lib-2.000024nb3.tgz
NetBSD 8.0powerpcp5-local-lib-2.000024nb3.tgz
NetBSD 8.0powerpcp5-local-lib-2.000024nb3.tgz
NetBSD 8.0powerpcp5-local-lib-2.000024nb3.tgz
NetBSD 8.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 8.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 8.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0aarch64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0aarch64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0aarch64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0alphap5-local-lib-2.000024nb3.tgz
NetBSD 9.0alphap5-local-lib-2.000024nb3.tgz
NetBSD 9.0alphap5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmv6hfp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmv6hfp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmv6hfp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmv6hfp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmv7hfp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmv7hfp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmv7hfp5-local-lib-2.000024nb3.tgz
NetBSD 9.0earmv7hfp5-local-lib-2.000024nb3.tgz
NetBSD 9.0i386p5-local-lib-2.000024nb3.tgz
NetBSD 9.0i386p5-local-lib-2.000024nb3.tgz
NetBSD 9.0i386p5-local-lib-2.000024nb3.tgz
NetBSD 9.0mips64ebp5-local-lib-2.000024nb3.tgz
NetBSD 9.0mips64ebp5-local-lib-2.000024nb3.tgz
NetBSD 9.0mips64ebp5-local-lib-2.000024nb3.tgz
NetBSD 9.0mipselp5-local-lib-2.000024nb3.tgz
NetBSD 9.0mipselp5-local-lib-2.000024nb3.tgz
NetBSD 9.0powerpcp5-local-lib-2.000024nb3.tgz
NetBSD 9.0powerpcp5-local-lib-2.000024nb3.tgz
NetBSD 9.0sh3elp5-local-lib-2.000024nb3.tgz
NetBSD 9.0sh3elp5-local-lib-2.000024nb3.tgz
NetBSD 9.0sparc64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0sparc64p5-local-lib-2.000024nb2.tgz
NetBSD 9.0sparc64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0sparc64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0sparcp5-local-lib-2.000024nb3.tgz
NetBSD 9.0sparcp5-local-lib-2.000024nb3.tgz
NetBSD 9.0sparcp5-local-lib-2.000024nb3.tgz
NetBSD 9.0vaxp5-local-lib-2.000024nb3.tgz
NetBSD 9.0vaxp5-local-lib-2.000024nb3.tgz
NetBSD 9.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0x86_64p5-local-lib-2.000024nb3.tgz
NetBSD 9.0x86_64p5-local-lib-2.000024nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.